# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_Array1OfSurfaceStyleElementSelect Class Reference

`#include <StepVisual_Array1OfSurfaceStyleElementSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_Array1OfSurfaceStyleElementSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_Array1OfSurfaceStyleElementSelect (const StepVisual_SurfaceStyleElementSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepVisual_SurfaceStyleElementSelect &V)
Standard_EXPORT void | Destroy ()
| ~StepVisual_Array1OfSurfaceStyleElementSelect ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepVisual_Array1OfSurfaceStyleElementSelect & | Assign (const StepVisual_Array1OfSurfaceStyleElementSelect &Other)
const StepVisual_Array1OfSurfaceStyleElementSelect & | operator= (const StepVisual_Array1OfSurfaceStyleElementSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_SurfaceStyleElementSelect &Value)
const StepVisual_SurfaceStyleElementSelect & | Value (const Standard_Integer Index) const
const StepVisual_SurfaceStyleElementSelect & | operator() (const Standard_Integer Index) const
StepVisual_SurfaceStyleElementSelect & | ChangeValue (const Standard_Integer Index)
StepVisual_SurfaceStyleElementSelect & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepVisual_Array1OfSurfaceStyleElementSelect (const StepVisual_Array1OfSurfaceStyleElementSelect &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_Array1OfSurfaceStyleElementSelect::StepVisual_Array1OfSurfaceStyleElementSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_Array1OfSurfaceStyleElementSelect::StepVisual_Array1OfSurfaceStyleElementSelect | ( | const StepVisual_SurfaceStyleElementSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepVisual_Array1OfSurfaceStyleElementSelect::~StepVisual_Array1OfSurfaceStyleElementSelect | ( |  | ) | `[inline]`

Standard_EXPORT StepVisual_Array1OfSurfaceStyleElementSelect::StepVisual_Array1OfSurfaceStyleElementSelect | ( | const StepVisual_Array1OfSurfaceStyleElementSelect & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepVisual_Array1OfSurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::Assign | ( | const StepVisual_Array1OfSurfaceStyleElementSelect & | Other | ) |

StepVisual_SurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepVisual_Array1OfSurfaceStyleElementSelect::Destroy | ( |  | ) |

Standard_EXPORT void StepVisual_Array1OfSurfaceStyleElementSelect::Init | ( | const StepVisual_SurfaceStyleElementSelect & | V | ) |

Standard_Boolean StepVisual_Array1OfSurfaceStyleElementSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfSurfaceStyleElementSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfSurfaceStyleElementSelect::Lower | ( |  | ) | const

void StepVisual_Array1OfSurfaceStyleElementSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_Array1OfSurfaceStyleElementSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_Array1OfSurfaceStyleElementSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepVisual_SurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepVisual_SurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepVisual_Array1OfSurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::operator= | ( | const StepVisual_Array1OfSurfaceStyleElementSelect & | Other | ) | `[inline]`

void StepVisual_Array1OfSurfaceStyleElementSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_SurfaceStyleElementSelect & | Value
| ) |

Standard_Integer StepVisual_Array1OfSurfaceStyleElementSelect::Upper | ( |  | ) | const

const StepVisual_SurfaceStyleElementSelect& StepVisual_Array1OfSurfaceStyleElementSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepVisual_Array1OfSurfaceStyleElementSelect::isAllocated `[private]`

Standard_Integer StepVisual_Array1OfSurfaceStyleElementSelect::myLowerBound `[private]`

Standard_Address StepVisual_Array1OfSurfaceStyleElementSelect::myStart `[private]`

Standard_Integer StepVisual_Array1OfSurfaceStyleElementSelect::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepVisual_Array1OfSurfaceStyleElementSelect.hxx